Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# color_converted_view_type< any_image_view< ViewTypes >, DstP > Struct Template Reference
[color_converted_view]

`#include <image_view_factory.hpp>`

List of all members.

## Detailed Description

### template<typename ViewTypes, typename DstP>
struct boost::gil::color_converted_view_type< any_image_view< ViewTypes >, DstP >

Returns the type of a runtime-specified view, color-converted to a given pixel type with the default coor converter.

## Public Types

typedef any_image_view < typename detail::views_get_ccv_type < ViewTypes, DstP, default_color_converter > ::type > | type

The documentation for this struct was generated from the following file:

- extension/dynamic_image/image_view_factory.hpp